Customer Migrations Guide: Account Import
API Endpoints
Overview
Use this endpoint to validate account data before creating an account.
Schema
Responses
The following responses may be returned from the API.
| Status code | Description |
|---|---|
200 - OK | The payload was validated successfully. Account validation success response:If the payload is valid, a 200 OK response will be returned with the empty payload as its body. {} |
400 - Bad Request | Validation errors occurred while processing the request. Account validation error response:If there are validation errors a 400 Bad Request response will be returned detailing the errors. To resolve these errors, refer to the field definitions and validation rules. {
"detail": "Could not validate account data.",
"code": "account_failed_validation",
"errors": [
{
"detail": "abcde is not a valid phone number",
"code": "invalid_phone_number",
"attr": "customers.0.landline"
}
]
} |
Payloads
Example electricity payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"communication_preference": "ONLINE",
"document_accessibility": "LARGE_PRINT",
"customers": [
{
"given_name": "Homer",
"family_name": "Simpson",
"email": "homer@simpson.com",
"mobile": "0488008221",
"landline": "+61280082213",
"date_of_birth": "1959-01-01",
"title": "Mr",
"salutation": "Hi",
"address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234567",
"locality": "Sydney",
"postal_code": "3000",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
}
},
{
"given_name": "Marge",
"family_name": "Simpson",
"email": "marge@simpson.com",
"mobile": "0488008221",
"landline": "+61288008221",
"date_of_birth": "1960-01-01",
"title": "Mrs",
"salutation": "Oh hai",
"deceased": "Reported",
"unable_to_read_meters": true
},
{
"given_name": "Lisa",
"family_name": "Simpson",
"email": "marge@simpson.com",
"mobile": "0488008221",
"landline": "+61388008221",
"title": "Miss",
"salutation": "Hello"
}
],
"billing_name": "The Simpsons",
"billing_sub_name": "Fourth of their name",
"billing_customer_reference": "Energy Supply",
"billing_attention_of": "The Bursar",
"billing_address1": "11 Queen's Road",
"billing_address2": "FLAT 1",
"billing_address3": "",
"billing_address4": "",
"billing_address5": "NSW",
"billing_postcode": "3000",
"billing_delivery_point_identifier": "51234567",
"sales_channel": "DIRECT",
"sales_subchannel": "Disney",
"date_of_sale": "1989-12-17",
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"is_landlord": true,
"property_administrators": [
{
"given_name": "Mick",
"family_name": "Jagger",
"email": "mick.jager@rollingstones.com",
"mobile": "0488008221",
"landline": "0212345678"
}
],
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "4103445577",
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"access_details": "Customer reports no access issues",
"hazard_details": [
"Dog"
],
"meters": [
{
"meter_serial_number": "12KD",
"installed_on": "2001-01-01",
"removed_on": "2014-01-01",
"registers": [
{
"register_id": "1"
},
{
"register_id": "2"
}
]
},
{
"meter_serial_number": "AB1234",
"installed_on": "2014-01-01",
"removed_on": "2016-01-01"
},
{
"meter_serial_number": "Z16N389556",
"registers": [
{
"register_id": "1",
"last_billed_to_date": "2019-08-01"
}
],
"transfer_readings": [
{
"register_id": "1",
"reading_date": "2019-08-01",
"reading_value": "1000.00",
"reading_type": "CUSTOMER"
}
],
"reading_history": [
{
"register_id": "1",
"reading_date": "2019-06-20",
"reading_value": "980.00",
"reading_type": "CUSTOMER",
"billed": true
},
{
"register_id": "1",
"reading_date": "2019-05-20",
"reading_value": "960.00",
"reading_type": "ESTIMATE",
"billed": true
},
{
"register_id": "1",
"reading_date": "2019-04-20",
"reading_value": "950.00",
"reading_type": "ROUTINE",
"billed": true
}
]
}
],
"agreements": [
{
"tariff_code": "ELECTRICITY_PRODUCT",
"effective_from": "2019-04-01",
"effective_to": "2019-06-01",
"agreed_at": "2019-04-01T10:00:00Z"
},
{
"tariff_code": "ELECTRICITY_PRODUCT",
"effective_from": "2019-06-01"
}
]
}
]
}
],
"transfer_balance": 50.0,
"ledgers": [
{
"current_statement_transactions": [
{
"transaction_id": "1",
"transaction_date": "2019-08-04",
"amount": 10.0,
"type": "REPAYMENT",
"reason": "FULL_CREDIT_REFUND",
"payment_type": "CHEQUE"
},
{
"transaction_id": "2",
"transaction_date": "2019-08-03",
"amount": 20.0,
"type": "PAYMENT",
"reason": "ACCOUNT_CHARGE_PAYMENT",
"payment_type": "DD_FINAL_COLLECTION"
},
{
"transaction_id": "3",
"transaction_date": "2019-08-02",
"amount": 20.0,
"type": "CREDIT",
"reason": "IMPORTED_CREDIT"
}
],
"historical_statement_transactions": [
{
"transaction_id": "4",
"transaction_date": "2019-06-01",
"amount": 10.0,
"type": "PAYMENT",
"reason": "ACCOUNT_CHARGE_PAYMENT",
"payment_type": "CREDIT_CARD"
},
{
"transaction_id": "5",
"transaction_date": "2019-07-01",
"amount": 10.0,
"type": "PAYMENT",
"reason": "ACCOUNT_CHARGE_PAYMENT",
"payment_type": "DEBIT_CARD"
}
],
"last_statement_closing_date": "2019-07-31",
"last_statement_issue_date": "2019-08-01",
"last_statement_balance": 20.0,
"ledger_balance": 50.0
}
],
"last_billed_to_date": "2019-08-01",
"payment_instructions": [
{
"vendor": "WESTPAC",
"type": "CARD",
"reference": "SUPPLIER-179680385",
"valid_from": "2022-06-15",
"card": {
"card_payment_network": "VISA",
"card_type": "CREDIT",
"last_digits": "1234",
"expiry_month": 3,
"expiry_year": 2030
}
},
{
"vendor": "WESTPAC",
"reference": "SUPPLIER-142755174",
"type": "DIRECT_DEBIT",
"valid_from": "2022-06-15",
"bank_account": {
"account_holder": "Chris Johnson",
"account_number": "12345678",
"bsb": "111111"
}
}
],
"payment_schedules": [
{
"amount": 6.0,
"day_of_month": 10,
"frequency": "MONTHLY",
"means": "DD",
"start_date": "2018-01-01",
"is_debt_repayment_plan": true
},
{
"amount": 60.0,
"day_of_month": 2,
"frequency": "MONTHLY",
"means": "DD",
"start_date": "2018-01-01",
"is_debt_repayment_plan": false
}
],
"notes": [
{
"created_at": "2018-10-10T10:20:00Z",
"body": "This is a note",
"document_paths": [
{
"document_path": "/notes/1234/attachment.jpg"
}
]
},
{
"created_at": "2018-10-10T10:20:00Z",
"body": "This is a pinned note",
"document_paths": [
{
"document_path": "/notes/1234/attachment.jpg"
}
],
"is_pinned": true
}
],
"statements": [
{
"bill_period_from_date": "2019-06-01",
"bill_period_to_date": "2019-07-01",
"statement_path": "EXTERNAL-1234/2019-06-01-to-2019-07-01.pdf",
"statement_id": "1",
"average_daily_usage": 18.44,
"is_reversed": true,
"total_consumption": 1045.3626354,
"total_consumption_cost": 250.88,
"total_supply_cost": 40.24,
"total_feed_in_energy": 303.35038,
"total_feed_in_cost": 33.3685418
},
{
"bill_period_from_date": "2019-07-01",
"bill_period_to_date": "2019-08-01",
"statement_path": "EXTERNAL-1234/2019-07-01-to-2019-08-01.pdf",
"statement_id": "2",
"average_daily_usage": 20.2,
"is_reversed": false,
"total_consumption": 123.456789,
"total_consumption_cost": 333.33,
"total_supply_cost": 20.2,
"total_feed_in_energy": 222.22222,
"total_feed_in_cost": 77.7777777
}
],
"last_payment_review_date": "2019-06-01",
"next_bill_due_date": "2019-11-20",
"events": [
{
"event_type": "BEST_OFFER_CHECKED_IN_SAP",
"category": "communications",
"subcategory": "best_offer",
"occurred_at": "2011-05-12T13:33:22Z",
"description": "Best offer process ran for 2000179998952."
},
{
"event_type": "MIXED_COMMS_PREF_IN_SAP",
"category": "communications",
"subcategory": "mixed_comms_preference",
"occurred_at": "2021-11-15T13:33:22Z",
"description": "Customer with mixed comms preferences in SAP."
},
{
"event_type": "PRICE_CHANGE_SENT_IN_SAP",
"category": "communications",
"subcategory": "price_change",
"occurred_at": "2021-11-15T13:33:22Z",
"description": "July 2022 price change comm sent in SAP for 2000179998952."
},
{
"event_type": "SHARED_EMAIL_7",
"category": "communications",
"subcategory": "mixed_comms_preference",
"occurred_at": "2021-11-15T13:33:22Z",
"description": "Customer with shared email scenario - PRINT for Account Level and EMAIL for Invoice."
},
{
"event_type": "SUPPRESS_MIGRATION_COMMS",
"category": "communications",
"subcategory": "migration_comms",
"occurred_at": "2021-11-15T13:33:22Z",
"description": "Suppress migration comms for the account"
}
]
}Example gas payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "5240459904",
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"address": {
"flat_or_unit_type": "F",
"flat_or_unit_number": "1",
"floor_or_level_type": "",
"floor_or_level_number": "",
"building_or_property_name": "Residential Wheke Energy Green Octopus with name = 60 chars",
"location_descriptor": "",
"house": [
{
"house_number": "11",
"house_number_suffix": ""
}
],
"lot_number": "",
"street": [
{
"street_name": "QUEEN'S",
"street_type": "RD",
"street_suffix": ""
}
],
"suburb_or_place_or_locality": "SYDNEY",
"state_or_territory": "NSW",
"postcode": "2000",
"delivery_point_identifier": "51234568",
"melway_grid_reference": "277 H 10"
},
"access_details": "Customer reports no access issues",
"hazard_details": [
"Dog"
],
"dog_code": "Savage",
"master_data": {
"customer_characterisation": "Metropolitan Residential",
"customer_classification_code": "RES",
"distribution_tariff": "Volume",
"mirn_status": "Commissioned",
"network_id": "NSWWILTON",
"transmission_zone": 16,
"heating_value_zone": "ABC",
"customer_classification_threshold": null,
"market": "NSWACTGAS",
"baseload": null,
"temperature_sensitivity_factor": null
},
"meters": [
{
"meter_serial_number": "12KD",
"installed_on": "2001-01-01",
"removed_on": "2014-01-01",
"meter_status": "No meter"
},
{
"meter_serial_number": "OTHER",
"installed_on": "2014-01-01",
"removed_on": "2016-01-01",
"billing_method": null,
"kpa_value": null,
"meter_installation_type": null,
"meter_multiplier": null,
"meter_measurement_unit": null,
"meter_position": "BA",
"meter_read_frequency": null,
"meter_status": "No meter",
"meter_type": "G",
"meter_type_size_code": "ABC",
"supply_point_code": "Basic",
"supply_point_id": "1234567890123",
"next_scheduled_read_date": null,
"number_of_dials_on_device": null
},
{
"meter_serial_number": "NSWACT",
"billing_method": "O",
"kpa_value": "12345.6789",
"meter_installation_type": "O",
"meter_multiplier": "123.45",
"meter_measurement_unit": "M",
"meter_position": "BA",
"meter_read_frequency": "Bi Monthly",
"meter_status": "Turned on",
"meter_type": "G",
"meter_type_size_code": null,
"supply_point_code": "Basic",
"supply_point_id": "1234567890123",
"next_scheduled_read_date": "2021-12-02",
"number_of_dials_on_device": 4,
"transfer_readings": [
{
"reading_date": "2019-08-01",
"reading_value": "980.00",
"reading_type": "ROUTINE",
"prev_reading_date": "2019-06-20",
"gas_meter_units": "M",
"volume_flow": "20.00",
"average_heating_value": "38.2",
"pressure_correction_factor": "1.24",
"consumed_energy": "400",
"estimation_substitution_type": null,
"estimation_substitution_reason_code": null
}
],
"reading_history": [
{
"reading_date": "2019-06-20",
"reading_value": "980.00",
"reading_type": "CUSTOMER",
"prev_reading_date": "2019-05-20",
"gas_meter_units": "M",
"volume_flow": "20.00",
"average_heating_value": "38.2",
"pressure_correction_factor": "1.24",
"consumed_energy": "400",
"estimation_substitution_type": null,
"estimation_substitution_reason_code": null,
"billed": true
},
{
"reading_date": "2019-05-20",
"reading_value": "960.00",
"reading_type": "ESTIMATE",
"prev_reading_date": "2019-04-20",
"gas_meter_units": "M",
"volume_flow": "20.00",
"average_heating_value": "38.2",
"pressure_correction_factor": "1.24",
"consumed_energy": "400",
"estimation_substitution_type": null,
"estimation_substitution_reason_code": null,
"billed": true
},
{
"reading_date": "2019-04-20",
"reading_value": "950.00",
"reading_type": "ROUTINE",
"prev_reading_date": null,
"gas_meter_units": null,
"volume_flow": null,
"average_heating_value": null,
"pressure_correction_factor": null,
"consumed_energy": null,
"estimation_substitution_type": null,
"estimation_substitution_reason_code": null,
"billed": true
}
]
}
],
"meter_position": null,
"role_assignments": [
{
"party": "AGLGNNWO",
"role": "DB"
},
{
"party": "ORIGINUSR",
"role": "FRO"
}
],
"agreements": [
{
"tariff_code": "GAS_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
],
"last_billed_to_date": "2019-08-01"
}Example unmetered electricity payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "UNMETERED_ELECTRICITY_AIR_CONDITIONING",
"parent_nmi": "53109237084",
"appliance_type": "AIR_CONDITIONING",
"multiplier": 2.0,
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"agreements": [
{
"tariff_code": "UNMETERED_ELECTRICITY_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
]
}Example unmetered gas payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "UNMETERED_GAS_COOKTOP",
"parent_mirn": "53109237084",
"appliance_type": "COOKTOP",
"pricing_zone": "TWEEDHEADS",
"multiplier": 2.0,
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"agreements": [
{
"tariff_code": "UNMETERED_GAS_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
]
}Example embedded electricity payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "ENVCH23366",
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"jurisdiction": "NSW",
"nmi_classification": "SMALL",
"customer_classification": "RESIDENTIAL",
"customer_threshold": "LOW",
"shared_isolation_flag": "N",
"parent_nmi": "4103445577",
"access_details": "optional",
"hazard_details": [
"optional"
],
"outage_contact_email": "example@example.com",
"nmi_status_periods": [
{
"status": "A",
"active_from": "2019-01-01T00:00:00+10:00",
"active_to": null
}
],
"meter_data_providers": [
{
"from_date": "2019-08-13T00:00:00+10:00",
"to_date": null,
"mdp_id": "ACUMEMDP"
}
],
"distributors": [
{
"from_date": "2019-08-13T00:00:00+10:00",
"to_date": null,
"lnsp_id": "ENERGYAP"
}
],
"meters": [
{
"meter_serial_number": "1245663742",
"active_from": "2001-01-01:00:00:00+10:00",
"active_to": null,
"manufacturer": "optional",
"model": "optionalopti",
"location": "optional",
"status": "C",
"meter_installation_type": "BASIC",
"read_type_method": "R",
"read_type_mode": "T",
"read_type_frequency": "1",
"registers": [
{
"register_id": "E1",
"unit_of_measure": "kwh",
"time_of_day": "INTERVAL",
"multiplier": 1.5,
"status": "C",
"active_from": "2019-08-13T00:00:00+10:00",
"active_to": null,
"dial_format_digits": 5,
"dial_format_decimals": 2,
"suffix": "E1",
"controlled_load": false
}
],
"transfer_readings": [
{
"register_id": "E1",
"reading_date": "2022-06-01",
"reading_value": "1000.00",
"reading_quality": "A"
}
],
"reading_history": [
{
"register_id": "E1",
"reading_date": "2019-06-20",
"reading_value": "980.00",
"reading_quality": "A",
"billed": true
}
]
}
],
"agreements": [
{
"tariff_code": "EMBEDDED_ELECTRICITY_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
],
"last_billed_to_date": "2022-06-01"
}Example embedded gas payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "EMBEDDED_GAS_1000678901",
"parent_installation_id": "1106833419",
"parent_mirn": "4310536033",
"supply_start_date": "2019-01-01",
"pressure_correction_factor": 1.1,
"heating_value": 20.2,
"baseload": 300.3,
"customer_classification": "RES",
"customer_characterisation": "Metropolitan Residential",
"distribution_tariff": "Volume",
"heating_value_zone": "N/A",
"status": "Commissioned",
"pricing_zone": "TAMWORTH",
"meters": [
{
"meter_serial_number": "Z16N389556",
"reading_route": "N3Q26HE1",
"model_number": "Remote S110",
"measurement_type": "M",
"number_of_dials": 6,
"kpa_value": 12345.1234,
"multiplier": 2,
"status": "Turned on",
"location": "HALLWAY_CUPBOARD",
"active_from": "2001-01-01:00:00:00+10:00",
"transfer_readings": [
{
"reading_date": "2019-04-01",
"reading_value": "1234567890.12345",
"reading_quality": "ACTUAL"
}
],
"reading_history": [
{
"reading_date": "2019-03-01",
"reading_value": "234567890.12345",
"reading_quality": "ACTUAL"
},
{
"reading_date": "2019-02-01",
"reading_value": "34567890.12345",
"reading_quality": "ESTIMATED"
}
]
}
],
"agreements": [
{
"tariff_code": "EMBEDDED_GAS_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
],
"last_billed_to_date": "2019-04-01"
}Example embedded water payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "EMBEDDED_WATER_12345",
"installation_id": "1105505929",
"parent_installation_id": "1106833419",
"parent_mirn": "4310536033",
"installation_type": "BHW",
"plant_temperature": "50C",
"plant_fuel_type": "NG",
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"reading_route": "N3Q26HE1",
"pricing_zone": "BRISBANE",
"meters": [
{
"meter_serial_number": "Z16N389556",
"make_and_model": "15mm Elster Remote S110",
"meter_measurement_unit": "dL",
"construction_date": "2000-01-01",
"installed_on": "2001-01-01",
"number_of_dials_on_device": 7,
"read_method": "REMOTE",
"reading_route_sequence": 10,
"location": "HALLWAY_CUPBOARD",
"access_details": "Remote Read Mtr in Ceiling Access Panel outside unit",
"key_details": "Key 226",
"connection_periods": [
{
"start_at": "2018-06-25T10:20:00+00:00",
"end_at": "2019-06-25T10:20:00+00:00",
"status": "CONNECTED"
}
],
"reading_history": [
{
"reading_date": "2018-10-02",
"reading_value": "1234567890.12345",
"reading_quality": "ACTUAL"
}
],
"transfer_readings": [
{
"reading_date": "2022-09-12",
"reading_value": "1234567892.6789",
"reading_quality": "ESTIMATED"
}
]
}
],
"agreements": [
{
"tariff_code": "EMBEDDED_WATER_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
],
"last_billed_to_date": "2022-09-12"
}Overview
Use this endpoint to process account data into an account in Kraken.
Schema
Responses
The following responses may be returned from the API.
| Status code | Description |
|---|---|
201 | The payload has been successfully scheduled. Schedule account creation success response:If the payload is valid and an account creation has been scheduled, a 201 Created response will be returned with the empty payload as its body. {} |
400 - Bad Request | Validation errors occurred while processing the request. Schedule account creation error response (Validation Error):If there are validation errors, a 400 Bad Request response will be returned detailing the errors. To resolve these errors, refer to the field definitions and validation rules. {
"code": "import_process_failed_validation",
"detail": "Import process validation failed during account creation. Please validate the import process to get full details of the validation errors.",
"domain": "import_process"
}If an account has already been imported, a 400 Bad Request response will be returned with account_id representing existing Kraken account number. {
"non_field_errors": {
"detail": "The account import process with the account number 1234567890 has already been imported.",
"code": "account_import_process_already_imported"
},
"account_id": "A-12345678"
} |
Payloads
Example electricity payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"communication_preference": "ONLINE",
"document_accessibility": "LARGE_PRINT",
"customers": [
{
"given_name": "Homer",
"family_name": "Simpson",
"email": "homer@simpson.com",
"mobile": "0488008221",
"landline": "+61280082213",
"date_of_birth": "1959-01-01",
"title": "Mr",
"salutation": "Hi",
"address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234567",
"locality": "Sydney",
"postal_code": "3000",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
}
},
{
"given_name": "Marge",
"family_name": "Simpson",
"email": "marge@simpson.com",
"mobile": "0488008221",
"landline": "+61288008221",
"date_of_birth": "1960-01-01",
"title": "Mrs",
"salutation": "Oh hai",
"deceased": "Reported",
"unable_to_read_meters": true
},
{
"given_name": "Lisa",
"family_name": "Simpson",
"email": "marge@simpson.com",
"mobile": "0488008221",
"landline": "+61388008221",
"title": "Miss",
"salutation": "Hello"
}
],
"billing_name": "The Simpsons",
"billing_sub_name": "Fourth of their name",
"billing_customer_reference": "Energy Supply",
"billing_attention_of": "The Bursar",
"billing_address1": "11 Queen's Road",
"billing_address2": "FLAT 1",
"billing_address3": "",
"billing_address4": "",
"billing_address5": "NSW",
"billing_postcode": "3000",
"billing_delivery_point_identifier": "51234567",
"sales_channel": "DIRECT",
"sales_subchannel": "Disney",
"date_of_sale": "1989-12-17",
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"is_landlord": true,
"property_administrators": [
{
"given_name": "Mick",
"family_name": "Jagger",
"email": "mick.jager@rollingstones.com",
"mobile": "0488008221",
"landline": "0212345678"
}
],
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "4103445577",
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"access_details": "Customer reports no access issues",
"hazard_details": [
"Dog"
],
"meters": [
{
"meter_serial_number": "12KD",
"installed_on": "2001-01-01",
"removed_on": "2014-01-01",
"registers": [
{
"register_id": "1"
},
{
"register_id": "2"
}
]
},
{
"meter_serial_number": "AB1234",
"installed_on": "2014-01-01",
"removed_on": "2016-01-01"
},
{
"meter_serial_number": "Z16N389556",
"registers": [
{
"register_id": "1",
"last_billed_to_date": "2019-08-01"
}
],
"transfer_readings": [
{
"register_id": "1",
"reading_date": "2019-08-01",
"reading_value": "1000.00",
"reading_type": "CUSTOMER"
}
],
"reading_history": [
{
"register_id": "1",
"reading_date": "2019-06-20",
"reading_value": "980.00",
"reading_type": "CUSTOMER",
"billed": true
},
{
"register_id": "1",
"reading_date": "2019-05-20",
"reading_value": "960.00",
"reading_type": "ESTIMATE",
"billed": true
},
{
"register_id": "1",
"reading_date": "2019-04-20",
"reading_value": "950.00",
"reading_type": "ROUTINE",
"billed": true
}
]
}
],
"agreements": [
{
"tariff_code": "ELECTRICITY_PRODUCT",
"effective_from": "2019-04-01",
"effective_to": "2019-06-01",
"agreed_at": "2019-04-01T10:00:00Z"
},
{
"tariff_code": "ELECTRICITY_PRODUCT",
"effective_from": "2019-06-01"
}
]
}
]
}
],
"transfer_balance": 50.0,
"ledgers": [
{
"current_statement_transactions": [
{
"transaction_id": "1",
"transaction_date": "2019-08-04",
"amount": 10.0,
"type": "REPAYMENT",
"reason": "FULL_CREDIT_REFUND",
"payment_type": "CHEQUE"
},
{
"transaction_id": "2",
"transaction_date": "2019-08-03",
"amount": 20.0,
"type": "PAYMENT",
"reason": "ACCOUNT_CHARGE_PAYMENT",
"payment_type": "DD_FINAL_COLLECTION"
},
{
"transaction_id": "3",
"transaction_date": "2019-08-02",
"amount": 20.0,
"type": "CREDIT",
"reason": "IMPORTED_CREDIT"
}
],
"historical_statement_transactions": [
{
"transaction_id": "4",
"transaction_date": "2019-06-01",
"amount": 10.0,
"type": "PAYMENT",
"reason": "ACCOUNT_CHARGE_PAYMENT",
"payment_type": "CREDIT_CARD"
},
{
"transaction_id": "5",
"transaction_date": "2019-07-01",
"amount": 10.0,
"type": "PAYMENT",
"reason": "ACCOUNT_CHARGE_PAYMENT",
"payment_type": "DEBIT_CARD"
}
],
"last_statement_closing_date": "2019-07-31",
"last_statement_issue_date": "2019-08-01",
"last_statement_balance": 20.0,
"ledger_balance": 50.0
}
],
"last_billed_to_date": "2019-08-01",
"payment_instructions": [
{
"vendor": "WESTPAC",
"type": "CARD",
"reference": "SUPPLIER-179680385",
"valid_from": "2022-06-15",
"card": {
"card_payment_network": "VISA",
"card_type": "CREDIT",
"last_digits": "1234",
"expiry_month": 3,
"expiry_year": 2030
}
},
{
"vendor": "WESTPAC",
"reference": "SUPPLIER-142755174",
"type": "DIRECT_DEBIT",
"valid_from": "2022-06-15",
"bank_account": {
"account_holder": "Chris Johnson",
"account_number": "12345678",
"bsb": "111111"
}
}
],
"payment_schedules": [
{
"amount": 6.0,
"day_of_month": 10,
"frequency": "MONTHLY",
"means": "DD",
"start_date": "2018-01-01",
"is_debt_repayment_plan": true
},
{
"amount": 60.0,
"day_of_month": 2,
"frequency": "MONTHLY",
"means": "DD",
"start_date": "2018-01-01",
"is_debt_repayment_plan": false
}
],
"notes": [
{
"created_at": "2018-10-10T10:20:00Z",
"body": "This is a note",
"document_paths": [
{
"document_path": "/notes/1234/attachment.jpg"
}
]
},
{
"created_at": "2018-10-10T10:20:00Z",
"body": "This is a pinned note",
"document_paths": [
{
"document_path": "/notes/1234/attachment.jpg"
}
],
"is_pinned": true
}
],
"statements": [
{
"bill_period_from_date": "2019-06-01",
"bill_period_to_date": "2019-07-01",
"statement_path": "EXTERNAL-1234/2019-06-01-to-2019-07-01.pdf",
"statement_id": "1",
"average_daily_usage": 18.44,
"is_reversed": true,
"total_consumption": 1045.3626354,
"total_consumption_cost": 250.88,
"total_supply_cost": 40.24,
"total_feed_in_energy": 303.35038,
"total_feed_in_cost": 33.3685418
},
{
"bill_period_from_date": "2019-07-01",
"bill_period_to_date": "2019-08-01",
"statement_path": "EXTERNAL-1234/2019-07-01-to-2019-08-01.pdf",
"statement_id": "2",
"average_daily_usage": 20.2,
"is_reversed": false,
"total_consumption": 123.456789,
"total_consumption_cost": 333.33,
"total_supply_cost": 20.2,
"total_feed_in_energy": 222.22222,
"total_feed_in_cost": 77.7777777
}
],
"last_payment_review_date": "2019-06-01",
"next_bill_due_date": "2019-11-20",
"events": [
{
"event_type": "BEST_OFFER_CHECKED_IN_SAP",
"category": "communications",
"subcategory": "best_offer",
"occurred_at": "2011-05-12T13:33:22Z",
"description": "Best offer process ran for 2000179998952."
},
{
"event_type": "MIXED_COMMS_PREF_IN_SAP",
"category": "communications",
"subcategory": "mixed_comms_preference",
"occurred_at": "2021-11-15T13:33:22Z",
"description": "Customer with mixed comms preferences in SAP."
},
{
"event_type": "PRICE_CHANGE_SENT_IN_SAP",
"category": "communications",
"subcategory": "price_change",
"occurred_at": "2021-11-15T13:33:22Z",
"description": "July 2022 price change comm sent in SAP for 2000179998952."
},
{
"event_type": "SHARED_EMAIL_7",
"category": "communications",
"subcategory": "mixed_comms_preference",
"occurred_at": "2021-11-15T13:33:22Z",
"description": "Customer with shared email scenario - PRINT for Account Level and EMAIL for Invoice."
},
{
"event_type": "SUPPRESS_MIGRATION_COMMS",
"category": "communications",
"subcategory": "migration_comms",
"occurred_at": "2021-11-15T13:33:22Z",
"description": "Suppress migration comms for the account"
}
]
}Example gas payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "5240459904",
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"address": {
"flat_or_unit_type": "F",
"flat_or_unit_number": "1",
"floor_or_level_type": "",
"floor_or_level_number": "",
"building_or_property_name": "Residential Wheke Energy Green Octopus with name = 60 chars",
"location_descriptor": "",
"house": [
{
"house_number": "11",
"house_number_suffix": ""
}
],
"lot_number": "",
"street": [
{
"street_name": "QUEEN'S",
"street_type": "RD",
"street_suffix": ""
}
],
"suburb_or_place_or_locality": "SYDNEY",
"state_or_territory": "NSW",
"postcode": "2000",
"delivery_point_identifier": "51234568",
"melway_grid_reference": "277 H 10"
},
"access_details": "Customer reports no access issues",
"hazard_details": [
"Dog"
],
"dog_code": "Savage",
"master_data": {
"customer_characterisation": "Metropolitan Residential",
"customer_classification_code": "RES",
"distribution_tariff": "Volume",
"mirn_status": "Commissioned",
"network_id": "NSWWILTON",
"transmission_zone": 16,
"heating_value_zone": "ABC",
"customer_classification_threshold": null,
"market": "NSWACTGAS",
"baseload": null,
"temperature_sensitivity_factor": null
},
"meters": [
{
"meter_serial_number": "12KD",
"installed_on": "2001-01-01",
"removed_on": "2014-01-01",
"meter_status": "No meter"
},
{
"meter_serial_number": "OTHER",
"installed_on": "2014-01-01",
"removed_on": "2016-01-01",
"billing_method": null,
"kpa_value": null,
"meter_installation_type": null,
"meter_multiplier": null,
"meter_measurement_unit": null,
"meter_position": "BA",
"meter_read_frequency": null,
"meter_status": "No meter",
"meter_type": "G",
"meter_type_size_code": "ABC",
"supply_point_code": "Basic",
"supply_point_id": "1234567890123",
"next_scheduled_read_date": null,
"number_of_dials_on_device": null
},
{
"meter_serial_number": "NSWACT",
"billing_method": "O",
"kpa_value": "12345.6789",
"meter_installation_type": "O",
"meter_multiplier": "123.45",
"meter_measurement_unit": "M",
"meter_position": "BA",
"meter_read_frequency": "Bi Monthly",
"meter_status": "Turned on",
"meter_type": "G",
"meter_type_size_code": null,
"supply_point_code": "Basic",
"supply_point_id": "1234567890123",
"next_scheduled_read_date": "2021-12-02",
"number_of_dials_on_device": 4,
"transfer_readings": [
{
"reading_date": "2019-08-01",
"reading_value": "980.00",
"reading_type": "ROUTINE",
"prev_reading_date": "2019-06-20",
"gas_meter_units": "M",
"volume_flow": "20.00",
"average_heating_value": "38.2",
"pressure_correction_factor": "1.24",
"consumed_energy": "400",
"estimation_substitution_type": null,
"estimation_substitution_reason_code": null
}
],
"reading_history": [
{
"reading_date": "2019-06-20",
"reading_value": "980.00",
"reading_type": "CUSTOMER",
"prev_reading_date": "2019-05-20",
"gas_meter_units": "M",
"volume_flow": "20.00",
"average_heating_value": "38.2",
"pressure_correction_factor": "1.24",
"consumed_energy": "400",
"estimation_substitution_type": null,
"estimation_substitution_reason_code": null,
"billed": true
},
{
"reading_date": "2019-05-20",
"reading_value": "960.00",
"reading_type": "ESTIMATE",
"prev_reading_date": "2019-04-20",
"gas_meter_units": "M",
"volume_flow": "20.00",
"average_heating_value": "38.2",
"pressure_correction_factor": "1.24",
"consumed_energy": "400",
"estimation_substitution_type": null,
"estimation_substitution_reason_code": null,
"billed": true
},
{
"reading_date": "2019-04-20",
"reading_value": "950.00",
"reading_type": "ROUTINE",
"prev_reading_date": null,
"gas_meter_units": null,
"volume_flow": null,
"average_heating_value": null,
"pressure_correction_factor": null,
"consumed_energy": null,
"estimation_substitution_type": null,
"estimation_substitution_reason_code": null,
"billed": true
}
]
}
],
"meter_position": null,
"role_assignments": [
{
"party": "AGLGNNWO",
"role": "DB"
},
{
"party": "ORIGINUSR",
"role": "FRO"
}
],
"agreements": [
{
"tariff_code": "GAS_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
],
"last_billed_to_date": "2019-08-01"
}Example unmetered electricity payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "UNMETERED_ELECTRICITY_AIR_CONDITIONING",
"parent_nmi": "53109237084",
"appliance_type": "AIR_CONDITIONING",
"multiplier": 2.0,
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"agreements": [
{
"tariff_code": "UNMETERED_ELECTRICITY_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
]
}Example unmetered gas payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "UNMETERED_GAS_COOKTOP",
"parent_mirn": "53109237084",
"appliance_type": "COOKTOP",
"pricing_zone": "TWEEDHEADS",
"multiplier": 2.0,
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"agreements": [
{
"tariff_code": "UNMETERED_GAS_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
]
}Example embedded electricity payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "ENVCH23366",
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"jurisdiction": "NSW",
"nmi_classification": "SMALL",
"customer_classification": "RESIDENTIAL",
"customer_threshold": "LOW",
"shared_isolation_flag": "N",
"parent_nmi": "4103445577",
"access_details": "optional",
"hazard_details": [
"optional"
],
"outage_contact_email": "example@example.com",
"nmi_status_periods": [
{
"status": "A",
"active_from": "2019-01-01T00:00:00+10:00",
"active_to": null
}
],
"meter_data_providers": [
{
"from_date": "2019-08-13T00:00:00+10:00",
"to_date": null,
"mdp_id": "ACUMEMDP"
}
],
"distributors": [
{
"from_date": "2019-08-13T00:00:00+10:00",
"to_date": null,
"lnsp_id": "ENERGYAP"
}
],
"meters": [
{
"meter_serial_number": "1245663742",
"active_from": "2001-01-01:00:00:00+10:00",
"active_to": null,
"manufacturer": "optional",
"model": "optionalopti",
"location": "optional",
"status": "C",
"meter_installation_type": "BASIC",
"read_type_method": "R",
"read_type_mode": "T",
"read_type_frequency": "1",
"registers": [
{
"register_id": "E1",
"unit_of_measure": "kwh",
"time_of_day": "INTERVAL",
"multiplier": 1.5,
"status": "C",
"active_from": "2019-08-13T00:00:00+10:00",
"active_to": null,
"dial_format_digits": 5,
"dial_format_decimals": 2,
"suffix": "E1",
"controlled_load": false
}
],
"transfer_readings": [
{
"register_id": "E1",
"reading_date": "2022-06-01",
"reading_value": "1000.00",
"reading_quality": "A"
}
],
"reading_history": [
{
"register_id": "E1",
"reading_date": "2019-06-20",
"reading_value": "980.00",
"reading_quality": "A",
"billed": true
}
]
}
],
"agreements": [
{
"tariff_code": "EMBEDDED_ELECTRICITY_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
],
"last_billed_to_date": "2022-06-01"
}Example embedded gas payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "EMBEDDED_GAS_1000678901",
"parent_installation_id": "1106833419",
"parent_mirn": "4310536033",
"supply_start_date": "2019-01-01",
"pressure_correction_factor": 1.1,
"heating_value": 20.2,
"baseload": 300.3,
"customer_classification": "RES",
"customer_characterisation": "Metropolitan Residential",
"distribution_tariff": "Volume",
"heating_value_zone": "N/A",
"status": "Commissioned",
"pricing_zone": "TAMWORTH",
"meters": [
{
"meter_serial_number": "Z16N389556",
"reading_route": "N3Q26HE1",
"model_number": "Remote S110",
"measurement_type": "M",
"number_of_dials": 6,
"kpa_value": 12345.1234,
"multiplier": 2,
"status": "Turned on",
"location": "HALLWAY_CUPBOARD",
"active_from": "2001-01-01:00:00:00+10:00",
"transfer_readings": [
{
"reading_date": "2019-04-01",
"reading_value": "1234567890.12345",
"reading_quality": "ACTUAL"
}
],
"reading_history": [
{
"reading_date": "2019-03-01",
"reading_value": "234567890.12345",
"reading_quality": "ACTUAL"
},
{
"reading_date": "2019-02-01",
"reading_value": "34567890.12345",
"reading_quality": "ESTIMATED"
}
]
}
],
"agreements": [
{
"tariff_code": "EMBEDDED_GAS_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
],
"last_billed_to_date": "2019-04-01"
}Example embedded water payload
{
"import_supplier": "TENTACLE_ENERGY",
"external_account_number": "EXTERNAL-1234",
"unknown_occupier": false,
"supply_addresses": [
{
"supply_address": {
"administrative_area": "NSW",
"country": "AU",
"delivery_point_identifier": "51234568",
"locality": "Sydney",
"postal_code": "3070",
"structured_street_address": {
"flat_or_unit_type": "TNHS",
"house_number_1": "11",
"street_name": "CITY",
"street_type": "RD"
}
},
"customer_at_supply_address_from_date": "2019-04-01",
"meter_points": [
{
"mpxn": "EMBEDDED_WATER_12345",
"installation_id": "1105505929",
"parent_installation_id": "1106833419",
"parent_mirn": "4310536033",
"installation_type": "BHW",
"plant_temperature": "50C",
"plant_fuel_type": "NG",
"supply_start_date": "2019-01-01",
"supply_end_date": null,
"reading_route": "N3Q26HE1",
"pricing_zone": "BRISBANE",
"meters": [
{
"meter_serial_number": "Z16N389556",
"make_and_model": "15mm Elster Remote S110",
"meter_measurement_unit": "dL",
"construction_date": "2000-01-01",
"installed_on": "2001-01-01",
"number_of_dials_on_device": 7,
"read_method": "REMOTE",
"reading_route_sequence": 10,
"location": "HALLWAY_CUPBOARD",
"access_details": "Remote Read Mtr in Ceiling Access Panel outside unit",
"key_details": "Key 226",
"connection_periods": [
{
"start_at": "2018-06-25T10:20:00+00:00",
"end_at": "2019-06-25T10:20:00+00:00",
"status": "CONNECTED"
}
],
"reading_history": [
{
"reading_date": "2018-10-02",
"reading_value": "1234567890.12345",
"reading_quality": "ACTUAL"
}
],
"transfer_readings": [
{
"reading_date": "2022-09-12",
"reading_value": "1234567892.6789",
"reading_quality": "ESTIMATED"
}
]
}
],
"agreements": [
{
"tariff_code": "EMBEDDED_WATER_PRODUCT",
"effective_from": "2019-04-01"
}
]
}
]
}
],
"last_billed_to_date": "2022-09-12"
}Overview
Use this endpoint to retrieve the current status of an account import.
Responses
The following responses may be returned from the API.
| Status code | Description |
|---|---|
200 - OK |
If the account import process exists, a For example when there is no error in processing: {
"status": "PENDING | IN_PROGRESS | PROCESSED | CANCELLED | DRY_RUN_SUCCEEDED",
"kraken_identifier": null,
"created_at": "2025-10-07T09:00:21.179194+02:00",
"modified_at": "2025-10-07T09:06:38.078396+02:00",
"latest_event": {
"event": "EVENT_ACCOUNT_IMPORT_PROCESS_CREATED",
"occurred_at": "2025-10-07T09:00:21.179194+02:00",
"data": null
},
"latest_error": null
}For example when the import process is processed we have an internal kraken id: {
"status": "PROCESSED",
"kraken_identifier": "INTERNAL-KRAKEN-IDENTIFIER",
"created_at": "2025-10-07T09:00:21.179194+02:00",
"modified_at": "2025-10-07T09:06:38.078396+02:00",
"latest_event": {
"event": "EVENT_ACCOUNT_IMPORT_PROCESS_PROCESSED",
"occurred_at": "2025-10-07T09:06:38.078396+02:00",
"data": null
},
"latest_error": null
}For example when there is an error in processing: {
"status": "ERRORED | DRY_RUN_ERRORED",
"kraken_identifier": null,
"created_at": "2025-10-07T09:00:21.179194+02:00",
"modified_at": "2025-10-07T09:06:38.078396+02:00",
"latest_event": {
"event": "EVENT_ACCOUNT_IMPORT_PROCESS_ERRORED",
"occurred_at": "2025-10-07T09:06:38.078396+02:00",
"data": {
"code": "some_error_code",
"detail": "A detailed error message",
"domain": "import_process"
}
},
"latest_error": {
"code": "some_error_code",
"detail": "A detailed error message",
"domain": "import_process"
}
} |
404 - Not Found |
If the account import process does not exist, a {
"detail": "The requested resource was not found.",
"code": "not_found"
} |